Subject: Re: opening X display
From: [email-masked] (Arlindo da Silva)

4 Nov 1997 04:07:17 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (raf)
Cc: [email-masked]

> 
> an x app works fine when run directly from the command line.
> but when another program calls it, it fails to open the display.
> does anyone know why this is and what can be done about it?
> 

I am not sure. I spawnv() X applications all the time and have no problems
openning the display. Before starting the X application I always make sure
DISPLAY is set, e.g.,

  if ( !getenv("DISPLAY") ) putenv("DISPLAY=localhost:0.0");
  spawnv(_P_DETACH,path,argv), etc...

As I reported here the other day, I am having problems with execv() in the
lastest coolview.

-- 
Arlindo da Silva    
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".